'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var lezerR = require('lezer-r');
var language = require('@codemirror/language');

const rLanguage = language.LRLanguage.define({
    parser: lezerR.parser.configure({
        props: [
            language.indentNodeProp.add({
                Block: language.delimitedIndent({ closing: "}" }),
                "ParamList ArgList": language.delimitedIndent({ closing: ")" }),
            }),
            language.foldNodeProp.add({ Block: language.foldInside }),
        ],
    }),
    languageData: {
        closeBrackets: { brackets: ["(", "[", "{", "'", '"'] },
        commentTokens: { line: "#" },
    },
});
function r() {
    return new language.LanguageSupport(rLanguage);
}

exports.r = r;
exports.rLanguage = rLanguage;
